Subject: Re: [Webpush] Pete Resnick's No Objection on charter-ietf-webpush-00-00: (with COMMENT)

From: Alissa Cooper <[email-masked]>
Date: Tue, 23 Sep 2014 14:18:28 -0700

Hi Pete,

Just one comment below. There is updated charter text in the works that
should address the rest.

On 9/16/14, 6:35 PM, "Pete Resnick" <[email-masked]> wrote:

>Pete Resnick has entered the following ballot position for
>charter-ietf-webpush-00-00: No Objection
>
>When responding, please keep the subject line intact and reply to all
>email addresses included in the To and CC lines. (Feel free to cut this
>introductory paragraph, however.)
>
>
>
>The document, along with other ballot positions, can be found here:
>http://datatracker.ietf.org/doc/charter-ietf-webpush/
>
>
>
>----------------------------------------------------------------------
>COMMENT:
>----------------------------------------------------------------------
>
>(For the IESG only: I still don't know if we have completely given up on
>2418, section 2.2:
>
>      The first
>      paragraph must give a brief summary of the problem area, basis,
>      goal(s) and approach(es) planned for the working group.
>
>Can we perhaps ask the secretariat if it makes a difference to any formal
>thing?)
>
>Seems fine. Strictly editorial/clarification stuff, and one question at
>the bottom.
>
>Paragraph 3:
>
>   This working group will develop a protocol...
>
>Though the name of the WG should suffice, to save some
>heartache/heartburn, you probably want to say instead:
>
>   This working group will develop an HTTP-based protocol…
>
>or something like that.

Well, the protocol is for the web, but it need not necessarily be
HTTP-based. There is an individual draft that contains an HTTP-based
proposal, and we all love HTTP, but I’m not sure we need to constrain it
in the charter if someone comes up with a different idea.

Alissa

>
>   ...that applications can use to request
>   the delivery of application data to a device using a consolidated
>push
>   notification service.
>
>I think you can strike the second "application". What other sort of data
>could there be?
>
>   This protocol will include the ability to push the same
>   message to multiple devices (broadcast).
>
>Suggest:
>
>s/message/notification
>s/devices (broadcast)/subscribed applications
>
>I know what you meant, but I think using the word "broadcast" could lead
>to silly discussions.
>
>   The work may include an exemplar
>   protocol for devices registering with push services.
>
>I can't quite figure out what that sentence means. Help please?
>
>